<div class="card body">
  <div class="card-header">
    <h1 class="text-center">{{titulo}}</h1>
  </div>
  <div class="card-body">
    <h5 class="card-title">Ingrese los siguientes datos</h5>

    <form class="text-black" (ngSubmit)="pagar()" #pagoForm="ngForm">

      <div class="form-floating mb-3" *ngIf="pago.cliente">
        <input type="text" class="form-control" value="{{pago.cliente.nombre}} {{pago.cliente.apellidoPaterno}}"
          name="cliente" disabled>
        <label for="floatingInput">Cliente</label>
      </div>

      <div class="form-floating mb-3" *ngIf="ultimopago">
        <input type="text" class="form-control" [(ngModel)]="ultimopago.fechaVencimiento" name="ultimoPago" disabled>
        <label for="floatingInput">FECHA VENCIMIENTO ULTIMO PAGO</label>
      </div>

      <div class="form-floating mb-3" *ngIf="ultimopago">
        <input type="date" class="form-control" [(ngModel)]="pago.fechaPago" value="{{ultimopago.fechaVencimiento}}"
          name="fechaPago" #fechaPago="ngModel" required>
        <label for="floatingInput">Fecha de Pago</label>
      </div>

      <div class="form-floating mb-3" *ngIf="!ultimopago">
        <input type="date" class="form-control" [(ngModel)]="pago.fechaPago" value="{{hoy}}" name="fechaPago">
        <label for="floatingInput">Fecha de Pago</label>
      </div>

      <div>
        <div class="input-group mb-3">
          <label class="input-group-text" for="plan">Tipo plan</label>
          <select class="form-select" [(ngModel)]="pago.plan" name="plan" id="plan"
            (click)="saluda(pago.plan, pago.fechaPago)" #plan="ngModel" required>
            <option selected disabled>Selecione un Plan</option>
            <option value="0">Mensual</option>
            <option value="1">Semestral</option>
            <option value="2">Anual</option>
          </select>
        </div>
      </div>



      <div class="form-floating mb-3">
        <input type="date" class="form-control" [(ngModel)]="pago.fechaVencimiento" name="fechaNacimiento" disabled>
        <label for="floatingInput">Fecha Vencimiento</label>
      </div>


      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="pago.valor" name="valor" disabled>
        <label for="floatingInput">Valor</label>
      </div>

      <div>


        <button pButton role="button" [disabled]='!pagoForm.form.valid'>Pagar</button>


      </div>
    </form>
  </div>
</div>